DesertBlue (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.plastic.theme

## Class DesertBlue

- java.lang.Object
- - javax.swing.plaf.metal.MetalTheme
  - - javax.swing.plaf.metal.DefaultMetalTheme
    - - com.jgoodies.looks.plastic.PlasticTheme
      - - com.jgoodies.looks.plastic.theme.SkyBluer
        - - com.jgoodies.looks.plastic.theme.DesertBluer
          - - com.jgoodies.looks.plastic.theme.DesertBlue

- Direct Known Subclasses:
    DesertGreen, DesertRed, DesertYellow

      public class DesertBlue
      extends DesertBluer

  A theme with low saturated blue primary colors and a light brown window background.
  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch

- - ### Field Summary

    - ### Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme

      `BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesertBlue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCustomEntriesToTable(UIDefaults table)`
    `ColorUIResource` | `getFocusColor()`
    `ColorUIResource` | `getMenuItemSelectedBackground()`
    `String` | `getName()`
    `protected ColorUIResource` | `getPrimary1()`
    `protected ColorUIResource` | `getPrimary2()`
    `protected ColorUIResource` | `getPrimary3()`
    `ColorUIResource` | `getPrimaryControlShadow()`
    `protected ColorUIResource` | `getSecondary1()`
    `protected ColorUIResource` | `getSecondary2()`
    `protected ColorUIResource` | `getSecondary3()`
    `ColorUIResource` | `getTitleTextColor()`

    - ### Methods inherited from class com.jgoodies.looks.plastic.theme.DesertBluer

      `getHighlightedTextColor, getTextHighlightColor`

    - ### Methods inherited from class com.jgoodies.looks.plastic.theme.SkyBluer

      `getMenuItemSelectedForeground, getMenuSelectedBackground`

    - ### Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme

      `equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextFont, getToggleButtonCheckColor, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalTheme

      `getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getSeparatorBackground, getSeparatorForeground, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DesertBlue

          public DesertBlue()

  - ### Method Detail

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `DesertBluer`

    - #### getPrimary1

          protected ColorUIResource getPrimary1()

      Overrides:
        `getPrimary1` in class `DesertBluer`

    - #### getPrimary2

          protected ColorUIResource getPrimary2()

      Overrides:
        `getPrimary2` in class `DesertBluer`

    - #### getPrimary3

          protected ColorUIResource getPrimary3()

      Overrides:
        `getPrimary3` in class `DesertBluer`

    - #### getSecondary1

          protected ColorUIResource getSecondary1()

      Overrides:
        `getSecondary1` in class `DesertBluer`

    - #### getSecondary2

          protected ColorUIResource getSecondary2()

      Overrides:
        `getSecondary2` in class `DesertBluer`

    - #### getSecondary3

          protected ColorUIResource getSecondary3()

      Overrides:
        `getSecondary3` in class `DesertBluer`

    - #### getTitleTextColor

          public ColorUIResource getTitleTextColor()

      Overrides:
        `getTitleTextColor` in class `PlasticTheme`

    - #### getFocusColor

          public ColorUIResource getFocusColor()

      Overrides:
        `getFocusColor` in class `DesertBluer`

    - #### getPrimaryControlShadow

          public ColorUIResource getPrimaryControlShadow()

      Overrides:
        `getPrimaryControlShadow` in class `MetalTheme`

    - #### getMenuItemSelectedBackground

          public ColorUIResource getMenuItemSelectedBackground()

      Overrides:
        `getMenuItemSelectedBackground` in class `DesertBluer`

    - #### addCustomEntriesToTable

          public void addCustomEntriesToTable(UIDefaults table)

      Overrides:
        `addCustomEntriesToTable` in class `SkyBluer`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.